package com.community.huiju.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.community.huiju.model.HotelRoom;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

/**
 * <p>
 * 酒店房间表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-05-13
 */
@Mapper
public interface HotelRoomMapper extends BaseMapper<HotelRoom> {

    /**
     * 查询房间列表
     * @param hotelRoom
     * @param beginTime
     * @param endTime
     * @param communityId
     * @return
     */
    IPage<HotelRoom> hotelRoomLiset(Page HotelRoom , @Param("hotelRoom") HotelRoom hotelRoom, @Param("beginTime") Date beginTime, @Param("endTime") Date endTime, @Param("communityId") Integer communityId);
}
