package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.Hotel;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 酒店 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-05-13
 */
public interface IHotelService extends IService<Hotel> {

    /**
     * 房间列表
     * @param parameter
     * @param communityId
     * @return
     */
    ResponseBean hotelRoomLiset(String parameter, Integer communityId);

    /**
     * 添加房间
     * @param parameter
     * @return
     */
    ResponseBean hotelRoomAdd(String parameter , UserElement userElement);
}
