import request from '@/utils/request'

export function hotelRoom(data) {
  return request({
    url: '/hotelRoomList',
    method: 'post',
    data: {
      roomNo: data.roomNo,
      roomName: data.roomName,
      price: data.price,
      roomStatus: data.roomStatus,
      beginTime: data.beginTime,
      endTime: data.endTime,
      sort: data.sort
    }
  })
}
export function hotelRoomAdd(data) {
  return request({
    url: '/hotelRoomAdd',
    method: 'post',
    data: {
      roomNo: data.roomNo,
      roomName: data.roomName,
      price: data.price,
      roomStatus: data.roomStatus,
      sort: data.sort,
      remark: data.remark
    }
  })
}

